package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.SimMsg;

/**
 * 模拟器报文Mapper接口
 *
 * @author tom
 * @date 2024-12-11
 */
public interface SimMsgMapper {
    /**
     * 查询模拟器报文
     *
     * @param simMsgId 模拟器报文主键
     * @return 模拟器报文
     */
    public SimMsg selectSimMsgBySimMsgId(Long simMsgId);

    /**
     * 查询模拟器报文列表
     *
     * @param simMsg 模拟器报文
     * @return 模拟器报文集合
     */
    public List<SimMsg> selectSimMsgList(SimMsg simMsg);

    /**
     * 新增模拟器报文
     *
     * @param simMsg 模拟器报文
     * @return 结果
     */
    public int insertSimMsg(SimMsg simMsg);

    /**
     * 修改模拟器报文
     *
     * @param simMsg 模拟器报文
     * @return 结果
     */
    public int updateSimMsg(SimMsg simMsg);

    /**
     * 删除模拟器报文
     *
     * @param simMsgId 模拟器报文主键
     * @return 结果
     */
    public int deleteSimMsgBySimMsgId(Long simMsgId);

    /**
     * 批量删除模拟器报文
     *
     * @param simMsgIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSimMsgBySimMsgIds(Long[] simMsgIds);
}
